aboutsummaryrefslogtreecommitdiffstats
path: root/cdf/src/stage/opt/app/cdf/bin/setencryptedvalues
diff options
context:
space:
mode:
Diffstat (limited to 'cdf/src/stage/opt/app/cdf/bin/setencryptedvalues')
-rwxr-xr-xcdf/src/stage/opt/app/cdf/bin/setencryptedvalues30
1 files changed, 30 insertions, 0 deletions
diff --git a/cdf/src/stage/opt/app/cdf/bin/setencryptedvalues b/cdf/src/stage/opt/app/cdf/bin/setencryptedvalues
new file mode 100755
index 0000000..c60fbad
--- /dev/null
+++ b/cdf/src/stage/opt/app/cdf/bin/setencryptedvalues
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this code except in compliance
+# with the License. You may obtain a copy of the License
+# at http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+
+
+P=/opt/cdf
+CDF=/opt/app/cdf
+
+export PATH=/opt/java/jdk/jdk170/bin:$PATH
+export CLASSPATH=$CDF/lib/cdf-prop-value.jar:$CDF/lib/jars/cdf-util.jar
+if [ -f $CDF/lib/jars/gnu_getopt.jar ]
+then CLASSPATH=$CLASSPATH:$CDF/lib/jars/gnu_getopt.jar ]
+elif [ -f /usr/share/java/gnu-getopt.jar ]
+then CLASSPATH=$CLASSPATH:/usr/share/java/gnu-getopt.jar
+else echo "$0: Cannot find gnu-getopt.jar" 1>&2; exit 1
+fi
+
+PropValue=org.onap.dcae.cdf.CdfPropValue
+
+java $PropValue -E "$@"